
TYPO3.TYPO3CR - Bug # 11550

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Node handling
Created: 2010-12-17 Assigned To: Robert Lemke
Updated: 2011-05-05 Due date:
Subject: ProxyNodes for the same node not the same instance
Description

When proxy nodes for a node are created, it is not ensured that for each node only one proxy instance is created.

Associated revisions
Revision 5529ebf6 - 2010-12-21 22:14 - Robert Lemke

[+BUGFIX] TYPO3CR: Keep Proxy Nodes unique in memory

Proxy Nodes are always based on exactly one original Node.
This patch makes sure that also each Node only relates to
one Proxy Node - otherwise consistency and other problems
may occur.

Change-Id: If312f639a3b91eed0d77787a66b7fa096bb45340
Resolves: #11550

History
#1 - 2010-12-21 20:59 - Robert Lemke

One symptom is that the Menu in TYPO3 does not show an active state for those pages which are unmodified in the personal workspace (and
therefore are represented by Proxy Nodes).

#2 - 2010-12-21 22:23 - Robert Lemke
- Category set to Node handling
- Status changed from Accepted to Under Review

#3 - 2010-12-22 00:30 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"5529ebf62fe3633c8e4bec62ab88ac328addd536".

#4 - 2011-05-05 17:07 - Robert Lemke
- Target version deleted (1.0 alpha 14)
